Package de.willuhn.jameica.hbci.gui.parts

# Class KontoauszugList

java.lang.Object
de.willuhn.jameica.gui.parts.AbstractTablePart
de.willuhn.jameica.gui.parts.TablePart
de.willuhn.jameica.hbci.gui.parts.UmsatzList
de.willuhn.jameica.hbci.gui.parts.KontoauszugList

All Implemented Interfaces:
  `de.willuhn.jameica.gui.extension.Extendable`, `de.willuhn.jameica.gui.Part`

public class KontoauszugList extends UmsatzList
Vorkonfigurierte Liste fuer Kontoauszuege.

## Nested Class Summary

## Nested classes/interfaces inherited from class de.willuhn.jameica.hbci.gui.parts.UmsatzList

`UmsatzList.UmsatzChangedMessageConsumer, UmsatzList.UmsatzNewMessageConsumer`

## Nested classes/interfaces inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem`

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.parts.TablePart

`tableFormatter`

### Fields inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`action, changeable, checkable, columns, menu, multi, rememberColWidth, rememberOrder, rememberState, selectionListeners`

## Constructor Summary

Constructors
Constructor
Description
`KontoauszugList()`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.Input`
`getEnd()`
Liefert ein Auswahl-Feld fuer das End-Datum.
`de.willuhn.jameica.gui.input.Input`
`getGegenkontoBLZ()`
Liefert das Eingabe-Feld fuer die BLZ.
`de.willuhn.jameica.gui.input.Input`
`getGegenkontoName()`
Liefert das Eingabe-Feld fuer den Namen des Kontoinhabers.
`de.willuhn.jameica.gui.input.DialogInput`
`getGegenkontoNummer()`
Liefert das Eingabe-Feld fuer die Kontonummer des Gegenkontos.
`de.willuhn.jameica.gui.input.Input`
`getHoechstBetrag()`
Liefert ein Eingabe-Feld fuer die Eingabe eines Hoechstbetrages.
`UmsatzTypInput`
`getKategorie()`
Liefert ein Auswahl-Feld fuer die Kategorie.
`KontoInput`
`getKontoAuswahl()`
Liefert eine Auswahlbox fuer das Konto.
`de.willuhn.jameica.gui.input.Input`
`getMindestBetrag()`
Liefert ein Eingabe-Feld fuer die Eingabe eines Mindestbetrages.
`RangeInput`
`getRange()`
Liefert eine Auswahl mit Zeit-Presets.
`de.willuhn.jameica.gui.input.Input`
`getStart()`
Liefert ein Auswahl-Feld fuer das Start-Datum.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getSubKategorien()`
Liefert eine Checkbox die angibt ob Unterkategorien ermittelt werden sollen.
`de.willuhn.jameica.gui.input.Input`
`getText()`
Liefert das Eingabe-Feld fuer Verwendungszweck/Kommentar.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getUnChecked()`
Liefert eine Checkbox, um nur die ungeprueften Umsaetze anzuzeigen.
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`
Ueberschrieben, um die Tabelle vorher noch mit Daten zu fuellen.

### Methods inherited from class de.willuhn.jameica.hbci.gui.parts.UmsatzList

`createFeatureEventContext, getExtendableID, setFilterVisible`

### Methods inherited from class de.willuhn.jameica.gui.parts.TablePart

`addChangeListener, addItem, addItem, addItem, addItem, getCollator, getControlValue, getEditorControl, getItems, getItems, getSelection, getSummary, isEnabled, orderBy, orderBy, refreshSummary, removeAll, removeItem, restoreState, select, setChecked, setEnabled, setFormatter, setSummary, setTopIndex, size, sort, updateItem`

### Methods inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`addColumn, addColumn, addColumn, addColumn, addColumn, addFeature, addFeature, addSelectionListener, asList, featureEvent, getFeature, hasEvent, isMulti, removeFeature, select, setCheckable, setChecked, setContextMenu, setMulti, setRememberColWidths, setRememberOrder, setRememberState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KontoauszugList

public KontoauszugList() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### paint

public void paint(org.eclipse.swt.widgets.Composite parent) throws RemoteException
Ueberschrieben, um die Tabelle vorher noch mit Daten zu fuellen.

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
Overrides:
  `paint` in class `UmsatzList`
Throws:
  `RemoteException`
See Also:
  - `UmsatzList.paint(org.eclipse.swt.widgets.Composite)`

### getKontoAuswahl

public KontoInput getKontoAuswahl() throws RemoteException
Liefert eine Auswahlbox fuer das Konto.

Returns:
  Auswahlbox.
Throws:
  `RemoteException`

### getUnChecked

public de.willuhn.jameica.gui.input.CheckboxInput getUnChecked()
Liefert eine Checkbox, um nur die ungeprueften Umsaetze anzuzeigen.

Returns:
  Checkbox.

### getStart

public de.willuhn.jameica.gui.input.Input getStart()
Liefert ein Auswahl-Feld fuer das Start-Datum.

Returns:
  Auswahl-Feld.

### getEnd

public de.willuhn.jameica.gui.input.Input getEnd()
Liefert ein Auswahl-Feld fuer das End-Datum.

Returns:
  Auswahl-Feld.

### getRange

public RangeInput getRange()
Liefert eine Auswahl mit Zeit-Presets.

Returns:
  eine Auswahl mit Zeit-Presets.

### getKategorie

public UmsatzTypInput getKategorie() throws RemoteException
Liefert ein Auswahl-Feld fuer die Kategorie.

Returns:
  Auswahl-Feld.
Throws:
  `RemoteException`

### getSubKategorien

public de.willuhn.jameica.gui.input.CheckboxInput getSubKategorien() throws RemoteException
Liefert eine Checkbox die angibt ob Unterkategorien ermittelt werden sollen.

Returns:
  Checkbox.
Throws:
  `RemoteException`

### getGegenkontoNummer

public de.willuhn.jameica.gui.input.DialogInput getGegenkontoNummer() throws RemoteException
Liefert das Eingabe-Feld fuer die Kontonummer des Gegenkontos.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getGegenkontoBLZ

public de.willuhn.jameica.gui.input.Input getGegenkontoBLZ() throws RemoteException
Liefert das Eingabe-Feld fuer die BLZ.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getGegenkontoName

public de.willuhn.jameica.gui.input.Input getGegenkontoName() throws RemoteException
Liefert das Eingabe-Feld fuer den Namen des Kontoinhabers.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getText

public de.willuhn.jameica.gui.input.Input getText() throws RemoteException
Liefert das Eingabe-Feld fuer Verwendungszweck/Kommentar.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getMindestBetrag

public de.willuhn.jameica.gui.input.Input getMindestBetrag() throws RemoteException
Liefert ein Eingabe-Feld fuer die Eingabe eines Mindestbetrages.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getHoechstBetrag

public de.willuhn.jameica.gui.input.Input getHoechstBetrag() throws RemoteException
Liefert ein Eingabe-Feld fuer die Eingabe eines Hoechstbetrages.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`